Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2466 - Clone gets python exception, line 277
Summary: Clone gets python exception, line 277
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netcfg
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-01 17:36 UTC by Bryce Nesbitt
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-07 22:46:57 UTC


Attachments (Terms of Use)

Description Bryce Nesbitt 1999-05-01 17:36:52 UTC
I tried to clone ppp0 to "ppp-local" (this failed because of
a dash).  Then I tried to enter name "ppplocal" and got
this exception:

[root@stetson]# control-panel
Red Hat Linux netcfg 2.18
Copyright (C) 1996, 1997 Red Hat Software
Redistributable under the terms of the GNU General Public
License
Exception in Tkinter callback
Traceback (innermost last):
  File
"/var/tmp/python-root/usr/lib/python1.5/lib-tk/Tkinter.py",
line 752, in __call__
    return apply(self.func, args)
  File "/usr/lib/rhs/python/rhentry.py", line 277, in
<lambda>
    self.E.bind('<Return>', lambda x=self:not x.get() or
x.L.destroy())
AttributeError: get


I'd use Linuxconf, but the UI is so... strange.

Comment 1 David Lawrence 1999-07-07 22:46:59 UTC
I could not get this to fail on a standard 6.0 install in our test
lab.


Note You need to log in before you can comment on or make changes to this bug.